3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php echo rtrim('Tell your teacher that he/she is teaching you an obsolete database api which is deprecated long ago !', 'long ago!');
Output for 4.3.0 - 7.2.0
Tell your teacher that he/she is teaching you an obsolete database api which is deprecated